
FullCalendar - Full-sized drag & drop event calendar
====================================================

Development and testing
-----------------------

Modify files in the `src/` directory and test your changes by viewing any of the HTML files
in the `tests/` directory. Each test file exercises a particular aspect of FullCalendar,
so you might want to create your own test file if you are developing a substantial new feature.

Building from source
--------------------

You must have a Java runtime environment (accessible by the `java` command) for minification.
Then, run `make zip` and check the `dist/` directory for your newly created ZIP archive.
To start fresh, run the `make clean` command.

Getting started
---------------

Assuming you have downloaded a release, or built your own, you can get started by including the
following dependencies in the &lt;HEAD&gt; of your HTML file:

	<link rel='stylesheet' type='text/css' href='fullcalendar.css' />  <!-- required stylesheet          -->
	<script type='text/javascript' src='jquery.js'></script>           <!-- need jQuery >= v1.2.6        -->
	<script type='text/javascript' src='fullcalendar.min.js'></script> <!-- can also use fullcalendar.js -->
	
If you plan to use the drag/drop/resize functionality, you must include jQuery UI draggable and resizable.
You can [download a custom build](http://jqueryui.com/download) or use the bundled files, like so:

	<script type='text/javascript' src='ui.core.js'></script>
	<script type='text/javascript' src='ui.draggable.js'></script>
	<script type='text/javascript' src='ui.resizable.js'></script>
	
Somewhere in your javascript you need to initialize a FullCalendar within a pre-existing element.
Here is an example of doing it within an element having an `id` of `calendar`:

	$(document).ready(function() {
	
		$('#calendar').fullCalendar({
			// your options here
		});
	
	});
	
To see a full list of all available options, please consult the [FullCalendar documentation &raquo;](http://arshaw.com/fullcalendar/docs/)
